package com.cronos.admin.services;

public class ConfigurationServerBean {
	private boolean enableLookups = true;
	private int acceptCount = 100;
	private int socketBuffer = 8192;
	private int maxThreads = 200;
	private boolean deployOnStartup = true;
	private int connectionTimeout = 60000;
	private int maxHttpHeaderSize = 8192;
	private String keystoreFile; // ="C:\Program Files
									// (x86)\Java\jre7\lib\security\tomcatks"
	private String keystorePass; // ="cronosdec"
	private int port = 8080;
	private String relaxedQueryChars = "[,]";

	private NavProtocol navProtocol;

	private String linuxRootPassword = "";

	public boolean getEnableLookups() {
		return enableLookups;
	}

	public void setEnableLookups(boolean enableLookups) {
		this.enableLookups = enableLookups;
	}

	public int getAcceptCount() {
		return acceptCount;
	}

	public void setAcceptCount(int acceptCount) {
		this.acceptCount = acceptCount;
	}

	public int getSocketBuffer() {
		return socketBuffer;
	}

	public void setSocketBuffer(int socketBuffer) {
		this.socketBuffer = socketBuffer;
	}

	public int getMaxThreads() {
		return maxThreads;
	}

	public void setMaxThreads(int maxThreads) {
		this.maxThreads = maxThreads;
	}

	public boolean getDeployOnStartup() {
		return deployOnStartup;
	}

	public void setDeployOnStartup(boolean deployOnStartup) {
		this.deployOnStartup = deployOnStartup;
	}

	public int getConnectionTimeout() {
		return connectionTimeout;
	}

	public void setConnectionTimeout(int connectionTimeout) {
		this.connectionTimeout = connectionTimeout;
	}

	public int getMaxHttpHeaderSize() {
		return maxHttpHeaderSize;
	}

	public void setMaxHttpHeaderSize(int maxHttpHeaderSize) {
		this.maxHttpHeaderSize = maxHttpHeaderSize;
	}

	public NavProtocol getNavProtocol() {
		return navProtocol;
	}

	public void setNavProtocol(NavProtocol navProtocol) {
		this.navProtocol = navProtocol;
	}

	public String getKeystoreFile() {
		return keystoreFile;
	}

	public void setKeyStoreFile(String keyStoreFile) {
		this.keystoreFile = keyStoreFile;
	}

	public String getKeystorePass() {
		return keystorePass;
	}

	public void setKeyStorePass(String keyStorePass) {
		this.keystorePass = keyStorePass;
	}

	public int getPort() {
		return port;
	}

	public void setPort(int port) {
		this.port = port;
	}

	public void setLinuxRootPassword(String linuxRootPassword) {
		this.linuxRootPassword = linuxRootPassword;
	}

	public String getLinuxRootPassword() {
		return linuxRootPassword;
	}

	public String getRelaxedQueryChars() {
		return relaxedQueryChars;
	}
}
